summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Korepanov <kaikaikai@yandex.ru>2016-06-21 11:21:13 +0100
committerAnthony G. Basile <blueness@gentoo.org>2016-06-21 06:39:24 -0400
commit91a778d14797b6bb87de389b1db3743b3b08483f (patch)
tree41aff40596939466cf00c80116fa2a22f620b7b4 /net-misc
parentsys-kernel/hardened-sources: remove older buggy 4.5.7 versions (diff)
downloadgentoo-91a778d14797b6bb87de389b1db3743b3b08483f.tar.gz
gentoo-91a778d14797b6bb87de389b1db3743b3b08483f.tar.bz2
gentoo-91a778d14797b6bb87de389b1db3743b3b08483f.zip
net-misc/i2pd: 2.8.0 version bump
Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/i2pd/Manifest1
-rw-r--r--net-misc/i2pd/i2pd-2.8.0.ebuild99
2 files changed, 100 insertions, 0 deletions
diff --git a/net-misc/i2pd/Manifest b/net-misc/i2pd/Manifest
index dfe7a712eeb..4e3c9b3701a 100644
--- a/net-misc/i2pd/Manifest
+++ b/net-misc/i2pd/Manifest
@@ -2,3 +2,4 @@ DIST i2pd-2.5.0.tar.gz 391637 SHA256 ea01cc99c443f838ab8faf3440da45dd2ca666ab627
DIST i2pd-2.5.1.tar.gz 394332 SHA256 4cdc98676eb1d020dc11c8f2c7c5d0e739bf8c858c97eab235449cea98ca9d2c SHA512 33293e96a2715696a8cb7bcabe995ffc9a5b374e4fa4b72eebf878a8b4603600a910ded1dc775d08d89eb881f0492118ef837a0432664f4a492008b31dafec92 WHIRLPOOL c9b02580d4e6af8430e7ca0d90ad45653df700b4e955f9fcd852301129801ded284b7583c8a9a1398457caa04c8ca5080655c6bbb94686ee56af9547752c753b
DIST i2pd-2.6.0.tar.gz 669220 SHA256 3af3edfd5def3504cbda59aa737a47f9852f844a2f5a1b47659e138acdd614c4 SHA512 73761737a50283ed78e59263ff91bb21a41147d85de62f2e27742f4f90d8e2441c20ec329b78f88e2255d837ed4584564396caee04df44b5cf5d7c1110508aa5 WHIRLPOOL 94821e65d05eba9e61ee353cc2318f0182c69393cdcf34bb3af818c54720fff76259532855689355453eb917639dcfd4e5d1e8d894f857bfc853728c11b1c71e
DIST i2pd-2.7.0.tar.gz 410922 SHA256 e4a3e192e424492962092f65a04fe12cac10f267ba2c99e2e62ca917741fba7e SHA512 3ca7af86ff43f030ab6219bd5ebe9a9acf4822d452c5761b83392ab0055f7835cfd68ebb336a2af0817bcdf9c8ecbefb618d00374384ded0084b51594aa96e0e WHIRLPOOL e1d05a5454cd9a0dbee18fea3447bc81fc74ee519e6ddb8f3d984ac66076f4606a624d55b9f22e2542f491626c18b74235247fe665ba789da2258f53b159ecfb
+DIST i2pd-2.8.0.tar.gz 1695271 SHA256 3f3f538b3c5b3095021311b434456c42d6f3b5e43dc7972c263b10ef179ba063 SHA512 379b72c4021dc8342405a034219ecb3681014a0ea1612da8b61de2b03adf2611ebe267233ed2891a2fb5a345d9304d7501c42d8c985362be72239b653d0d3c39 WHIRLPOOL 511d4e3a084604289c041a69135d8afc5abca186fe96704ca35108e96c84523706aaa73c07884dcce65df1fe9fed9335cea65b52dc14bd4a61b94d6fd11c6838
diff --git a/net-misc/i2pd/i2pd-2.8.0.ebuild b/net-misc/i2pd/i2pd-2.8.0.ebuild
new file mode 100644
index 00000000000..55adfa5f863
--- /dev/null
+++ b/net-misc/i2pd/i2pd-2.8.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils systemd user cmake-utils
+
+DESCRIPTION="A C++ daemon for accessing the I2P anonymous network"
+HOMEPAGE="https://github.com/PurpleI2P/i2pd"
+SRC_URI="https://github.com/PurpleI2P/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="cpu_flags_x86_aes i2p-hardening libressl pch static +upnp"
+
+RDEPEND="!static? ( >=dev-libs/boost-1.49[threads]
+ dev-libs/crypto++
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ upnp? ( net-libs/miniupnpc )
+ )"
+DEPEND="${RDEPEND}
+ static? ( >=dev-libs/boost-1.49[static-libs,threads]
+ dev-libs/crypto++[static-libs]
+ !libressl? ( dev-libs/openssl:0[-bindist,static-libs] )
+ libressl? ( dev-libs/libressl[static-libs] )
+ upnp? ( net-libs/miniupnpc[static-libs] ) )
+ i2p-hardening? ( >=sys-devel/gcc-4.7 )
+ || ( >=sys-devel/gcc-4.7 >=sys-devel/clang-3.3 )"
+
+I2PD_USER=i2pd
+I2PD_GROUP=i2pd
+
+CMAKE_USE_DIR="${S}/build"
+
+DOCS=( README.md docs/i2pd.conf debian/tunnels.conf debian/subscriptions.txt )
+
+src_prepare() {
+ eapply "${FILESDIR}/${PN}-2.5.1-fix_installed_components.patch"
+ eapply_user
+}
+
+src_configure() {
+ mycmakeargs=(
+ -DWITH_AESNI=$(usex cpu_flags_x86_aes ON OFF)
+ -DWITH_HARDENING=$(usex i2p-hardening ON OFF)
+ -DWITH_PCH=$(usex pch ON OFF)
+ -DWITH_STATIC=$(usex static ON OFF)
+ -DWITH_UPNP=$(usex upnp ON OFF)
+ -DWITH_LIBRARY=ON
+ -DWITH_BINARY=ON
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # config
+ insinto /etc/i2pd
+ doins docs/i2pd.conf
+ doins debian/tunnels.conf
+ doins debian/subscriptions.txt
+
+ # grant i2pd group read and write access to config files
+ fowners "root:${I2PD_GROUP}" \
+ /etc/i2pd/i2pd.conf \
+ /etc/i2pd/tunnels.conf \
+ /etc/i2pd/subscriptions.txt
+ fperms 660 \
+ /etc/i2pd/i2pd.conf \
+ /etc/i2pd/tunnels.conf \
+ /etc/i2pd/subscriptions.txt
+
+ # working directory
+ keepdir /var/lib/i2pd
+ insinto /var/lib/i2pd
+ doins -r contrib/certificates
+ dosym /etc/i2pd/subscriptions.txt /var/lib/i2pd/subscriptions.txt
+ fowners "${I2PD_USER}:${I2PD_GROUP}" /var/lib/i2pd/
+ fperms 700 /var/lib/i2pd/
+
+ # add /var/lib/i2pd/certificates to CONFIG_PROTECT
+ doenvd "${FILESDIR}/99i2pd"
+
+ # openrc and systemd daemon routines
+ newconfd "${FILESDIR}/i2pd-2.6.0-r3.confd" i2pd
+ newinitd "${FILESDIR}/i2pd-2.6.0-r3.initd" i2pd
+ systemd_newunit "${FILESDIR}/i2pd-2.6.0-r3.service" i2pd.service
+
+ # logrotate
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/i2pd-2.6.0-r3.logrotate" i2pd
+}
+
+pkg_setup() {
+ enewgroup "${I2PD_GROUP}"
+ enewuser "${I2PD_USER}" -1 -1 /var/lib/run/i2pd "${I2PD_GROUP}"
+}